---
title: Building the Server
slug: Web/API/WebRTC_API/build_a_phone_with_peerjs/build_the_server
---
<p>{{WebRTCSidebar}}</p>
<div>{{PreviousMenuNext("Web/API/WebRTC_API/build_a_phone_with_peerjs/Setup", "Web/API/WebRTC_API/build_a_phone_with_peerjs/Connect_Peers")}}</div>
<p id="5089">The server file will look like a regular Express server file with one difference, the Peer server.</p>

<p id="a82f">You’ll need to require the peer server at the top of the file <code>const {ExpressPeerServer} = require('peer')</code> , this will ensure that we have access to the peer server.</p>

<p id="0794">You then need to actually create the peer server:</p>

<pre class="brush: js notranslate">const peerServer = ExpressPeerServer(server, {
    proxied: true,
    debug: true,
    path: '/myapp',
    ssl: {}
});</pre>

<p id="8db3">We use the <code>ExpressPeerServer</code> object created earlier to create the peer server and pass it some options. The peer server is what will handle the signalling required for WebRTC so we don’t have to worry about STUN/TURN servers or other protocols as this abstracts that logic for us.</p>

<p id="5540">Finally, you’ll need to tell your app to use the <code>peerServer</code> by calling <code>app.use(peerServer)</code> . Your finished <code>server.js</code> should include the other necessary dependencies as you’d include in a server file, as well as serving the <code>index.html</code> file to the root path so, it should look like this when finished:</p>

<pre class="brush: js notranslate">const express = require("express");
const http = require('http');
const path = require('path');
const app = express();
const server = http.createServer(app);
const { ExpressPeerServer } = require('peer');
const port = process.env.PORT || "8000";

const peerServer = ExpressPeerServer(server, {
    proxied: true,
    debug: true,
    path: '/myapp',
    ssl: {}
});

app.use(peerServer);

app.use(express.static(path.join(__dirname)));

app.get("/", (request, response) =&gt; {
    response.sendFile(__dirname + "/index.html");
});

server.listen(port);
console.log('Listening on: ' + port);</pre>

<p>You should be able to connect to your app via local host, in my <code>server.js</code> I’m using port 8000(defined on line 7) but you may be using another port number. Run <code>node .</code> in your terminal and visit <code>localhost:8000</code> in your browser and you should see a page that looks like this:</p>

<p><img alt="A cream background with the words 'phone a friend' in bold, dark green font as the heading. 'Conecting...' is immediately below that and 'please use headphones!' below that. Following on, a big dark green button with 'Call' written in the same cream colour of the background. " src="https://miro.medium.com/max/1400/1*IC3eVvGnzvG1koQuxO0MMw.png" style="height: 894px; width: 1400px;"></p>

<div>{{PreviousMenuNext("Web/API/WebRTC_API/build_a_phone_with_peerjs/Setup", "Web/API/WebRTC_API/build_a_phone_with_peerjs/Connect_Peers")}}</div>
